Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class ConnectionNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.ConnectionNotification

All Implemented Interfaces:
  Serializable, MuleContextAware

    public class ConnectionNotification

extends ServerNotification

Is fired by a connector when a connection is made or disconnected. A disconnection can be caused by network failure, JMX, or the server shutting down.

See Also:
  Serialized Form

Field Summary
`static int` | `CONNECTION_CONNECTED`
`static int` | `CONNECTION_DISCONNECTED`
`static int` | `CONNECTION_FAILED`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, FLOW_CONSTRUCT_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionNotification(Connectable resource, String identifier, int action)`

Method Summary
`protected String` | `getPayloadToString()`
`String` | `getType()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getResourceIdentifier, getServerId, getTimestamp, isResourceIdentifierAnUri, registerAction, setMuleContext, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTION_CONNECTED

    public static final int CONNECTION_CONNECTED

See Also:
  Constant Field Values

### CONNECTION_FAILED

    public static final int CONNECTION_FAILED

See Also:
  Constant Field Values

### CONNECTION_DISCONNECTED

    public static final int CONNECTION_DISCONNECTED

See Also:
  Constant Field Values

Constructor Detail

### ConnectionNotification

    public ConnectionNotification(Connectable resource,
                                  String identifier,
                                  int action)

Method Detail

### getPayloadToString

    protected String getPayloadToString()

  Overrides:
    `getPayloadToString` in class `ServerNotification`

### getType

    public String getType()

  Overrides:
    `getType` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.